## org.apache.aries.subsystem.core.archive
Class AbstractDirective

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractDirective

All Implemented Interfaces:
  Directive, Parameter

Direct Known Subclasses:
  EffectiveDirective, FilterDirective, GenericDirective, ProvisionPolicyDirective, ReferenceDirective, ResolutionDirective, StartOrderDirective, VisibilityDirective

    public abstract class AbstractDirective

extends AbstractParameter
implements Directive

Constructor Summary
`AbstractDirective(String name, String value)`

Method Summary
`String` `getValue()`
`String` `toString()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName`

Constructor Detail

### AbstractDirective

    public AbstractDirective(String name,
                             String value)

Method Detail

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `Directive`
  Specified by:
    `getValue` in interface `Parameter`
  Overrides:
    `getValue` in class `AbstractParameter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.